# Driver Class Reference

Inheritance diagram for Driver:

## Public Types
enum | Type { DT_BEGIN = 0, DT_MUSIC = 0, DT_SOUND, DT_VIDEO, DT_END }
| The type of driver. More...
## Public Member Functions
virtual const char * | Start (const char *const *parm)=0
virtual void | Stop ()=0
virtual const char * | GetName () const =0

## Detailed Description

Definition at line 23 of file driver.h.

## Member Enumeration Documentation

enum Driver::Type

The type of driver.

Enumerator:

  DT_BEGIN | Helper for iteration.
  DT_MUSIC | A music driver, needs to be before sound to properly shut down extmidi forked music players.
  DT_SOUND | A sound driver.
  DT_VIDEO | A video driver.
  DT_END | Helper for iteration.

Definition at line 32 of file driver.h.

The documentation for this class was generated from the following file:

- src/driver.h